Update dynamic group

The request payload can include the name, description, and conditionSet for updating a dynamic group.
When the conditionSet of a dynamic group is updated, membership evaluation will be performed based on the newly defined conditions related to user profile attributes. The entire evaluation will be conducted using the updated conditionSet.
However, if only the name or description is updated, they will be applied immediately without affecting membership evaluation.
Any combination of name, description, or conditionSet can be updated.

Entitlement required: tenantAdmin, manageDynamicGroups
Note: You only need one entitlement, but you can have more than one.

Path Params
string
required

Id of the dynamic group

Body Params

Dynamic group name, description and condition set

string

Name of dynamic group. Maximum length can be 1024 characters.

string

Description of dynamic group. Maximum length can be 1024 characters.

conditionSet
array of objects

Condition set to evaluate membership for the dynamic group.
Maximum length can be 1024 characters.
Condition set format is [{"{attributeName}":[{"op":"{operator}","vl":"{value}"}]}]

Attribute name can be fetched from GET https://{tenanturl}/v1.0/attributes?search=sourceType="schema"&tags!="hashed" API.
Valid operators for string and multivalue string data type are eq (equal), sw (startswith) and ew (endswith).
Valid operator for number and boolean data type is eq (equal).

Example condition set:
Security department users from Pune: [{"department":[{"op":"eq","vl":"Security"}],"work_locality":[{"op":"eq","vl":"Pune"}]}]
Security department users from either Pune or Bangalore: [{"department":[{"op":"eq","vl":"Security"}],"work_locality":[{"op":"eq","vl":"Pune"}]},{"department":[{"op":"eq","vl":"Security"}],"work_locality":[{"op":"eq","vl":"Bangalore"}]}]

conditionSet
Responses
204

Dynamic group updated. Membership evaluation may take some time depending upon defined condition set and users in the tenant.

Language
URL
Response
Choose an example:
application/json